//Ex4_22.cpp
#include "iostream" 
using namespace std;
void main() 
{int i=0,r,n,c[10];
 long int m; 
 char b[17]="0123456789abcdef"; 
  do 
	{cout<<"输入十进制数m和r进制基数:"; 
     cin>>m>>r; 
	}while (m<0||r<2||r>16 );   //确保输入的m为正整数，r在2~16之间
 cout<<"十进制数"<<m<<"转换为"<<r<<"进制数,"; 
 do 
	{c[i++]=m%r;}   //取余数
 while((m=m/r)!=0); 
 cout<<"结果为:";
 for(--i;i>=0;--i) 
	{n=c[i];cout<<b[n];} //将余数转换成对应的字符
 cout<<endl;
}
